org.python.core.stringlib

## Class MarkupIterator.Chunk

- java.lang.Object
- - org.python.core.stringlib.MarkupIterator.Chunk

Enclosing class:
  MarkupIterator

    public static final class MarkupIterator.Chunk
    extends java.lang.Object

### Field Summary

Fields
`java.lang.String` `conversion` Conversion to be applied, e.g.
`java.lang.String` `fieldName` The field name or number (as a string) for accessing the value.
`java.lang.String` `formatSpec` The format specifier such as `"#12x"`.
`boolean` `formatSpecNeedsExpanding` Signals the `formatSpec` needs expanding recursively.
`java.lang.String` `literalText` The text leading up to the next format field.

### Constructor Summary

Constructors
Constructor and Description
`Chunk()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### literalText

    public java.lang.String literalText

The text leading up to the next format field.

#### fieldName

    public java.lang.String fieldName

The field name or number (as a string) for accessing the value.

#### formatSpec

    public java.lang.String formatSpec

The format specifier such as `"#12x"`.

#### conversion

    public java.lang.String conversion

Conversion to be applied, e.g. `'r'` for `repr()`.

#### formatSpecNeedsExpanding

    public boolean formatSpecNeedsExpanding

Signals the `formatSpec` needs expanding recursively.

### Constructor Detail

#### Chunk

    public Chunk()